Bug 66659 - ping6 does not add newline to error messages it prints
Summary: ping6 does not add newline to error messages it prints
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: iputils (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-13 06:45 UTC by Pekka Savola
Modified: 2015-03-05 01:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-13 06:46:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to the immediate problem. (306 bytes, patch)
2002-06-13 06:46 UTC, Pekka Savola
no flags Details | Diff

Description Pekka Savola 2002-06-13 06:45:08 UTC
Doing like (even without IPv6 connectivity but IPv6 module loaded):

$ ping6 -I eth0 fe80::3
PING fe80::3(fe80::3) from fe80::202:b3ff:fe1a:e2bf eth0: 56 data bytes
From ::1 icmp_seq=1 Destination unreachable: Address unreachableFrom ::1
icmp_seq=2 Destination unreachable: Address unreachableFrom ::1 icmp_seq=3
Destination unreachable: Address unreachable
--- fe80::3 ping statistics ---
5 packets transmitted, 0 received, +3 errors, 100% loss, time 3999ms

Notice that there is no newline between errors.  This is different to what
happens with
IPv4 ping.  This was broken at an update from earlier versions of iputils.

It seems receive_error_msg() and parse_reply() in ping6.c are a bit out of 
sync.

This has been reported to upstream.

Comment 1 Pekka Savola 2002-06-13 06:46:31 UTC
Created attachment 60784 [details]
patch to the immediate problem.

Comment 2 Phil Knirsch 2002-06-19 07:45:18 UTC
OK, included patch in latest rawhide build.

Thanks,

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.